<bugID>1253802<Summary>[DevTools][Memory] Heap-view and Group-by are not linked when switching view</Summary><Description>Created attachment 8727037
20160305160141.mp4

User Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:47.0) Gecko/20100101 Firefox/47.0
Build ID: 20160304030206

Steps to reproduce:

1. Start Nightly (or Aurora)
2. Open DevTools &gt; Memory
3. Switch view and group-by to "Dominators" and "Call Stack" -&gt; View:Dominators, Label by:Call Stack
4. Take snapshot
5. Switch view from "Dominators" to "Aggregate" -&gt; View:Aggregate, Group by:Type
6. Switch view from "Aggregate" to "Dominators" again -&gt; View:Dominators, Label by:Type, but heap-view is call stack
7. Delete snapshot
8. Take snapshot. heap-view is still call stack


Actual results:

Heap-view and Group-by(Label-by) are not linked when switching view.


Expected results:

Heap-view and Group-by(Label-by) should be linked.</Description></bugID>